> For the complete documentation index, see [llms.txt](https://docs.decentraland.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.decentraland.org/creator/content-creator-ko/sdk7/interactivity/external-links.md).

# 외부 링크

다른 씬이나 외부 사이트로 연결

씬에서 다른 콘텐츠로 링크를 추가할 수 있습니다. 다른 씬이나 외부 웹사이트로 연결할 수 있습니다.

## Creator Hub의 씬 편집기를 사용하세요

외부 링크나 텔레포트를 추가하는 가장 쉬운 방법은 씬 편집기를 사용하는 것입니다. 다음을 사용하세요 **텔레포트** [스마트 아이템](/creator/content-creator-ko/scene-editor/interactivity/smart-items.md) Genesis City의 다른 씬으로 텔레포트를 추가하려면, 또는 다음 중 아무거나 사용하세요 **소셜 링크** 외부 사이트로 연결되는 링크를 추가하는 스마트 아이템.

![](https://3980763956-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FoPnXBby9S6MrsW83Y9qZ%2Fuploads%2Fgit-blob-be65d3e84db80b872ee31e90d17c016a7b520fbc%2Fsocial-links.png?alt=media)

## 텔레포트

플레이어를 다른 씬으로 텔레포트하려면, 플레이어를 텔레포트시킬 좌표를 지정하여 다음 함수를 호출하세요.

```ts
import { teleportTo } from "~system/RestrictedActions"

(...)

teleportTo({ worldCoordinates: { x: -51, y: 1 } })
```

플레이어는 텔레포트되기 전에 확인 화면을 보게 되며, 이 화면에는 대상 씬의 `scene.json 파일`, 씬을 포함하여 `name`, `설명` 및 `navmap 썸네일`. 자세한 내용은 [씬 메타데이터](/creator/content-creator-ko/sdk7/kinds-of-projects/scene-metadata.md) 이 데이터를 설정하는 방법에 대한 자세한 내용은

텔레포트는 지정한 좌표의 씬으로 이동시키지만, 반드시 그와 동일한 좌표로 이동시키는 것은 아니라는 점을 유의하세요. 즉, 여러 parcel이 있는 씬으로 이동할 때 플레이어는 지정된 것과 같은 좌표에 착지하지 않고, 대신 씬 제작자가 지정한 스폰 포인트 중 하나로 이동할 수 있습니다.

현재 씬 내의 다른 좌표로 플레이어를 이동시키려면 다음을 사용하세요 `movePlayerTo()` 함수를 사용하세요. 자세한 내용은 [플레이어 이동](/creator/content-creator-ko/sdk7/interactivity/player-avatar.md#move-player).

## WORLD로 텔레포트

플레이어를 오픈 월드 Genesis City 지도에 게시되지 않은 씬으로 보내려면, 대신 독립된 [Decentraland WORLD](/creator/content-creator-ko/sdk7/publishing/publishing-options.md#decentraland-worlds), 다음 함수를 사용하세요 `changeRealm()`.

```ts
import { changeRealm } from "~system/RestrictedActions"

(...)

changeRealm({realm: 'mannakia.dcl.eth'})
```

플레이어는 텔레포트되기 전에 확인 화면을 보게 되며, 이 화면에는 대상 씬의 `scene.json 파일`, 씬을 포함하여 `name`, `설명` 및 `navmap 썸네일`. 자세한 내용은 [씬 메타데이터](/creator/content-creator-ko/sdk7/kinds-of-projects/scene-metadata.md) 이 데이터를 설정하는 방법에 대한 자세한 내용은

플레이어는 지도에서 현재 좌표와 관계없이, 해당 WORLD의 씬에 있는 스폰 포인트 중 하나에서 생성됩니다.

WORLD에서 플레이어를 다시 Genesis City로 보내려면 다음을 사용하세요 `changeRealm` 설정하는 `realm` field를 *'<https://realm-provider-ea.decentraland.org/main>'*.

## 외부 링크

외부 웹사이트로 연결되는 링크를 추가하려면 다음을 사용하세요 `openExternalUrl()` 명령.

```ts
import { openExternalUrl } from '~system/RestrictedActions'

openExternalUrl({ url: 'google.com' })
```

이 기능을 악용해 플레이어에게 스팸을 보내는 것을 방지하기 위해, 다음을 호출할 수 있는 것은 `openExternalUrl` 엔터티의 명시적인 클릭 또는 버튼 이벤트에서만 가능합니다. 이 함수를 타이머, 충돌 영역, 또는 전역 클릭 이벤트의 결과로 호출할 수는 없습니다. 다음을 참조하세요 [버튼 이벤트](/creator/content-creator-ko/sdk7/interactivity/button-events/click-events.md) 자세한 방법은

호출될 때 `openExternalUrl` 호출되면, 플레이어는 확인 화면을 보게 되며, 여기서 링크가 어디로 이동시키는지 안내받고 링크 방문을 수락하거나 거부할 수 있습니다.

링크는 새 탭에서 열리며, 원래 탭은 Decentraland에 그대로 유지됩니다.

플레이어가 다음 옵션을 체크하면 *이 도메인을 신뢰* 체크박스를 선택하면, 링크가 같은 씬에서 왔고 같은 도메인으로 연결되는 한 세션 동안 다시 확인 메시지가 표시되지 않습니다.

## 클립보드에 복사

문자열을 플레이어의 클립보드에 복사하려면 다음을 사용하세요 `copyToClipboard()`. 이후 플레이어가 *붙여넣기* 를 Decentraland 채팅이나 해당 기기의 다른 애플리케이션에 하면, 여러분의 문자열이 붙여넣어집니다.

```ts
import { copyToClipboard } from "~system/RestrictedActions"

copyToClipboard( { text: 'My text to copy' } )
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.decentraland.org/creator/content-creator-ko/sdk7/interactivity/external-links.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
